/*
 * psignona.c - psignona command
 */
/*-
 * Copyright (c) 2020 Jeffrey Allen Neitzel <jan (at) etsh (dot) nl>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 *	$Id$
 */

#include <sys/types.h>

#include <signal.h>
#include <stdio.h>

/*
 * Print the signal #s names descriptions list to the standard output.
 */
int
main(void)
{
	int i;

	(void)printf("NSIG == %d\n\n", NSIG);
	for (i = 1; i < NSIG; i++)
		(void)printf("%2d %-6s %s\n", i, sys_signame[i], sys_siglist[i]);

	return 0;
}
